#declare Reddishyellow=color red 1 green 0.8
#declare Multitext=texture {pigment{color Reddishyellow}}
#declare Multitext_bump=texture {
  pigment{color Reddishyellow}
  normal{bumps 0.05 scale 0.001}
}
#declare Multitext_greybump=texture {
  pigment{color LightGrey}
  normal{bumps 0.05 scale 0.001}
}
#declare Black_rubber=texture{
  finish{phong 0.1 phong_size 5}
  pigment{color Black}
}

#declare Screwholes=union {
  object { cylinder{<-3.5,1.75,-0.001>,<-3.5,1.75,1>,0.3}}
  object { cylinder{<3.5,1.75,-0.001>,<3.5,1.75,1>,0.3}}
  object { cylinder{<-3.5,11.5,-0.001>,<-3.5,11.5,1>,0.3}}
  object { cylinder{<3.5,11.5,-0.001>,<3.5,11.5,1>,0.3}}
}

#declare Lowerpart_straight=union {
  object {sphere{<-3.25,1,1>,1}}
  object {sphere{<3.25,1,1>,1}}
  object {sphere{<-3.25,12,1>,1}}
  object {sphere{<3.25,12,1>,1}}
  object {cylinder{<-3.25,1,1>,<3.25,1,1>,1}}
  object {cylinder{<-3.25,1,1>,<-3.25,12,1>,1}}
  object {cylinder{<-3.25,12,1>,<3.25,12,1>,1}}
  object {cylinder{<3.25,1,1>,<3.25,12,1>,1}}
  box{<-3.25,0,1>,<3.25,1,2>}
  box{<-3.25,1,0>,<3.25,12,2>}
  box{<-4.25,1,1>,<4.25,12,2>}
  object {cylinder{<-3.25,1,1>,<-3.25,1,2>,1}}
  object {cylinder{<3.25,1,1>,<3.25,1,2>,1}}
}

#declare Lowerpart_bent=union {
  object {cylinder{<-3.25,0,0>,<-3.25,4.562,0>,1}}
  object {cylinder{<3.25,0,0>,<3.25,4.562,0>,1}}
  object {cylinder{<-3.25,4.562,0>,<3.25,4.562,0>,1}}
  object {sphere{<-3.25,4.562,0>,1}}
  object {sphere{<3.25,4.562,0>,1}}
  box{<-4.25,0,0>,<4.25,4.562,1>}
  box{<-3.25,0,-1>,<3.25,4.562,-0.5>}
  rotate<9.462,0,0>
  translate<0,12,1>
}

#declare Edge=union {
  object {cylinder{<-3.25,1,1.501>,<-3.25,1,1.999>,1.05}}
  object {cylinder{<3.25,1,1.501>,<3.25,1,1.999>,1.05}}
  object {cylinder{<-3.25,16.5,1.501>,<-3.25,16.5,1.999>,1.05}}
  object {cylinder{<3.25,16.5,1.501>,<3.25,16.5,1.999>,1.05}}
  box{<-3.25,-0.05,1.501>,<3.25,17.55,1.999>}
  box{<-4.3,1,1.501>,<4.3,16.5,1.999>}
  texture{Multitext}
}

#declare Emboss=difference {
  object {cylinder{<0,-0.5,0>,<0,0.5,0>,1.001}}
  object {cylinder{<0,-0.501,0>,<0,0.501,0>,0.95}}
  object{plane{y,-0.5} rotate<-5,0,0>}
  object{plane{-y,0.5} rotate<5,0,0>}
  object{plane{-z,0}}
}

#declare Left_emboss=intersection {
  object{Emboss} object{plane{x,0}}
  texture{Multitext_bump}
}

#declare Right_emboss=intersection {
  object{Emboss} object{plane{-x,0}}
  texture{Multitext_bump}
}

#declare Supporting_leg=difference {
  union {
    box{<-2.74,-9.09,-0.2>,<2.74,0,0.2>}
    cylinder{<-2.74,0,0>,<2.74,0,0>,0.2}
  }
  box{<-2.05,-2,-0.21>,<2.05,0.21,0.21>}
  box{<-2.05,-5.3,-0.21>,<2.05,-3.3,0.21>}
  box{<-1.55,-9.1,-0.21>,<1.55,-8.8,0.21>}
  texture{Multitext_bump}
}

#declare Edge_rubber=intersection {
  union {
    box{<-0.25,1,-0.1>,<0.25,1.7,-0.05>}
    cylinder{<-0.25,1,0.95>,<0.25,1,0.95>,1.05}
  }
  object{plane{z,1} translate<0,1,1> rotate<30,0,0>}
  texture{Black_rubber}
}

#declare Lowerpart=union {
  object{Supporting_leg rotate<90,0,0> translate<0,12,0.2>}
  object{box{<-3,12.3,-0.1>,<-1.5,13,-0.05>} texture{Black_rubber}}
  object{box{<1.5,12.3,-0.1>,<3,13,-0.05>} texture{Black_rubber}}
  object{Edge_rubber translate<-2.4,0,0>}
  object{Edge_rubber translate<2.4,0,0>}
  difference {
    union {
      object{Lowerpart_straight}
      object{Lowerpart_bent}
      object{Edge}
      box{<-3.5,12.3,-0.05>,<3.5,13,0.5>}
      box{<-2.75,1,-0.05>,<-2.05,1.7,0.5>}
      cylinder{<-2.75,1,0.95>,<-2.05,1,0.95>,1}
      box{<2.05,1,-0.05>,<2.75,1.7,0.5>}
      cylinder{<2.05,1,0.95>,<2.75,1,0.95>,1}

      texture{Multitext_bump}
    }
    object{Screwholes}

    object{Left_emboss translate<-3.25,3,1>}
    object{Left_emboss translate<-3.25,4.5,1>}
    object{Left_emboss translate<-3.25,6,1>}
    object{Left_emboss translate<-3.25,7.5,1>}
    object{Left_emboss translate<-3.25,9,1>}
    object{Left_emboss translate<-3.25,10.5,1>}
    object{Right_emboss translate<3.25,3,1>}
    object{Right_emboss translate<3.25,4.5,1>}
    object{Right_emboss translate<3.25,6,1>}
    object{Right_emboss translate<3.25,7.5,1>}
    object{Right_emboss translate<3.25,9,1>}
    object{Right_emboss translate<3.25,10.5,1>}
    box{<-2.75,3,-0.001>,<2.75,12.3,0.4>}
    texture{Multitext}
  }
}

#declare Selector=union {
  difference {
    object{cylinder{<0,0,2.49>,<0,0,3.25>,1.99}}
    object{cone{<0,0,2.5>,1.6,<0,0,3.26>,1.9}}
  }
  object{cylinder{<0,-1.64,2.5>,<0,-1.64,3.1>,0.35}}
  box{<-0.35,-1.64,2.5>,<0.35,1.98,3.1>}
  intersection {
    object{cylinder{<0,-1.99,3.1>,<0,-1.29,3.1>,0.35}}
    object{cylinder{<0,-1.64,2.75>,<0,-1.64,3.45>,0.35}}
  }
  difference{
    object{cylinder{<0,-1.64,3.1>,<0,1.98,3.1>,0.35}}
    object{cylinder{<-0.4,1.5,3.5>,<0.4,1.5,3.5>,0.25}}
    box{<-0.4,1.5,3.25>,<0.4,2.25,3.5>}
  }
  texture{Multitext_bump}
}

#declare Plughole=union {
  object{cylinder{<0,3,2.25>,<0,3,3.26>,0.2} texture{Silver1}}
  difference {
    object{cylinder{<0,3,2.25>,<0,3,3.26>,0.4}}
    object{cylinder{<0,3,2.24>,<0,3,3.27>,0.3}}
  }
  texture{Multitext}
}

#declare Upperpart=union {
  intersection {
    union {
      cylinder{<3,10.25,3>,<3,10.25,3.5>,0.25}
      cylinder{<2.25,10.25,3>,<2.25,10.25,3.5>,0.25}
      box{<2.25,10,3>,<3,10.5,3.5>}
    }
    cylinder{<3.25,10.25,3>,<2,10.25,3>,0.5}
    texture{Multitext_greybump}
  }
  object{Selector rotate<0,0,-(360/30)*5> translate<0,7.75,0>}
  difference{
    object{plane{z,3.251}
      texture{
        pigment{
          image_map{gif "MULTTABL.GIF" once}
          scale<7.7,9.5,1> translate<-3.85,2,0>
        }
      }
    } // Text layout on multimeter
  object{cylinder{<0,7.75,2.48>,<0,7.75,4.25>,2} texture{Multitext}}
  }
  object{ // the LCD
    box{<-3.25,12.5,3>,<3.25,16.5,3.3>}
    texture{finish{Metal ambient 0.3} pigment {color rgb<0.8,1,0.85>}}
  }
  object{box{<-3.24,12.51,3.5>,<3.24,16.49,3.7>} texture{Glass2}} // LCD window
  difference {
    cylinder{<0,0,2>,<0,0,3.3>,0.6}
    cylinder{<0,0,3.26>,<0,0,3.301>,0.5}
    object{box{<-0.04,0.2,0.2>,<0.04,0.4,3.3>} rotate<0,0,60>}
    object{box{<-0.04,0.2,0.2>,<0.04,0.4,3.3>} rotate<0,0,120>}    
    object{box{<-0.04,0.2,0.2>,<0.04,0.4,3.3>} rotate<0,0,180>}
    object{box{<-0.04,0.2,0.2>,<0.04,0.4,3.3>} rotate<0,0,240>}
    object{box{<-0.04,0.2,0.2>,<0.04,0.4,3.3>} rotate<0,0,300>}
    object{box{<-0.04,0.2,0.2>,<0.04,0.4,3.3>}}
  texture{Multtext_greybump}
  translate<2.75,10.5,0>
  } 
  difference{
    box{<-3.25,12.5,3.2>,<3.25,16.5,3.5>}
    box{<-3,12.75,3.199>,<3,15.75,3.501>}
    union {
      object{plane{<0,0.5,-4>,0} translate<0,16.5,3.5>}
      object{plane{<0,-1.5,-4>,0} translate<0,12.5,3.5>}
      object{plane{<-1.5,0,-4>,0} translate<-3.25,14.5,3.5>}
      object{plane{<1.5,0,-4>,0} translate<3.25,14.5,3.5>}
    }
  texture{Multtext_greybump}
  }
  difference {
    union {
      object{Edge translate<0,0,0.501>}
      object{sphere{<-3.25,1,2.75>,1}}
      object{sphere{<3.25,1,2.75>,1}}
      object{sphere{<-3.25,16.5,2.75>,1}}
      object{sphere{<3.25,16.5,2.75>,1}}
      object{cylinder{<-3.25,1,2.75>,<-3.25,16.5,2.75>,1}}
      object{cylinder{<3.25,1,2.75>,<3.25,16.5,2.75>,1}}
      object{cylinder{<-3.25,1,2.75>,<3.25,1,2.75>,1}}
      object{cylinder{<-3.25,16.5,2.75>,<3.25,16.5,2.75>,1}}
      box{<-4.25,1,2>,<4.25,16.5,2.75>}
      box{<-3.25,0,2>,<3.25,17.5,2.75>}
      box{<-3.25,1,2>,<3.25,16.5,3.75>}
    }
    object{Plughole translate<-3,0,0>}
    object{Plughole translate<-1,0,0>}
    object{Plughole translate<1,0,0>}
    object{Plughole translate<3,0,0>}
    union {
      object{cylinder{<-4.25,1.75,3.75>,<4.25,1.75,3.75>,0.5}}
      object{cylinder{<-4.25,11.75,3.75>,<4.25,11.75,3.75>,0.5}}
      box{<-4.25,1.75,3.25>,<4.25,11.75,4.25>}
      
      object{cylinder{<0,7.75,2.48>,<0,7.75,4.25>,2}}
      
      cylinder{<3,10.25,3>,<3,10.25,3.5>,0.28}
      cylinder{<2.25,10.25,3>,<2.25,10.25,3.5>,0.28}
      box{<2.25,9.98,3>,<3,10.52,3.5>}

      cylinder{<2.75,10.5,2>,<2.75,10.5,3.251>,0.6}
    }
    union {
      object {cylinder{<-3.25,12.5,3.7>,<-3.25,12.5,3.8>,0.25}}
      object {cylinder{<-3.25,16.5,3.7>,<-3.25,16.5,3.8>,0.25}}
      object {cylinder{<3.25,12.5,3.7>,<3.25,12.5,3.8>,0.25}}
      object {cylinder{<3.25,16.5,3.7>,<3.25,16.5,3.8>,0.25}}
      box{<-3.5,12.5,3.7>,<3.5,16.5,3.8>}
      box{<-3.25,12.25,3.7>,<3.25,16.75,3.8>}
      box{<-3.25,12.5,2.5>,<3.25,16.5,3.8>}
      texture{Multitext}
    }
    texture{Multitext_bump}
  }
}

